<?php
/* ---------------------------------------------------------------------------
 * Hook of Top
 * --------------------------------------------------------------------------- */
if (!function_exists('naturalspa_hook_top')) {
function naturalspa_hook_top() {
	if( cs_get_option( 'enable-top-hook' ) ) :
		echo '<!-- naturalspa_hook_top -->';
			$hook = cs_get_option( 'top-hook' );
			$hook = do_shortcode( stripslashes($hook) );
			if (!empty($hook))
			echo apply_filters( 'naturalspa_top_hook', $hook );
		echo '<!-- naturalspa_hook_top -->';
	endif;	
}
}
add_action( 'naturalspa_hook_top', 'naturalspa_hook_top' );


/* ---------------------------------------------------------------------------
 * Hook of Content before
 * --------------------------------------------------------------------------- */
if (!function_exists('naturalspa_hook_content_before')) {
function naturalspa_hook_content_before() {
	if( cs_get_option( 'enable-content-before-hook' ) ) :
		echo '<!-- naturalspa_hook_content_before -->';
			$hook = cs_get_option( 'content-before-hook' );
			$hook = do_shortcode( stripslashes($hook) );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- naturalspa_hook_content_before -->';
	endif;
}
}
add_action( 'naturalspa_hook_content_before', 'naturalspa_hook_content_before' );


/* ---------------------------------------------------------------------------
 * Hook of Content after
 * --------------------------------------------------------------------------- */
if (!function_exists('naturalspa_hook_content_after')) {
function naturalspa_hook_content_after() {
	if( cs_get_option( 'enable-content-after-hook' ) ) :
		echo '<!-- naturalspa_hook_content_after -->';
			$hook = cs_get_option( 'content-after-hook' );
			$hook = do_shortcode( stripslashes($hook) );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- naturalspa_hook_content_after -->';
	endif;
}
}
add_action( 'naturalspa_hook_content_after', 'naturalspa_hook_content_after' );


/* ---------------------------------------------------------------------------
 * Hook of Bottom
 * --------------------------------------------------------------------------- */
if (!function_exists('naturalspa_hook_bottom')) {
function naturalspa_hook_bottom() {
	if( cs_get_option( 'enable-bottom-hook' ) ) :
		echo '<!-- naturalspa_hook_bottom -->';
			$hook = cs_get_option( 'bottom-hook' );
			$hook = do_shortcode( stripslashes($hook) );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- naturalspa_hook_bottom -->';
	endif;
}
}
add_action( 'naturalspa_hook_bottom', 'naturalspa_hook_bottom' );

function naturalspa_skins( $skin ) {
   
	$skins['blue']        = array( 'primary-color'  => '#008bd3', 'secondary-color'  => '#0081c2', 'tertiary-color'  => '#22b4ff');
	$skins['brown']        = array( 'primary-color'  => '#795548', 'secondary-color'  => '#573a30', 'tertiary-color'  => '#8d6a5e');
	$skins['cadetblue']        = array( 'primary-color'  => '#3c939d', 'secondary-color'  => '#34818a', 'tertiary-color'  => '#5db6c0');
	$skins['chillipepper']        = array( 'primary-color'  => '#c10841', 'secondary-color'  => '#9d0836', 'tertiary-color'  => '#e31655');
	$skins['cyan']        = array( 'primary-color'  => '#00bcd4', 'secondary-color'  => '#00a0b4', 'tertiary-color'  => '#00cee8');
	$skins['deeporange']        = array( 'primary-color'  => '#ff5722', 'secondary-color'  => '#db4211', 'tertiary-color'  => '#ff774b');
	$skins['deeppurple']        = array( 'primary-color'  => '#673ab7', 'secondary-color'  => '#532b99', 'tertiary-color'  => '#8152d4');
	$skins['gold']        = array( 'primary-color'  => '#e3ca94', 'secondary-color'  => '#ccb88c', 'tertiary-color'  => '#ffe6af');
	$skins['green']        = array( 'primary-color'  => '#60ae0d', 'secondary-color'  => '#54990b', 'tertiary-color'  => '#76ca1c');
	$skins['lime']        = array( 'primary-color'  => '#cddc39', 'secondary-color'  => '#b1bf27', 'tertiary-color'  => '#dfef45');
	$skins['magenta']        = array( 'primary-color'  => '#cb506d', 'secondary-color'  => '#ae3753', 'tertiary-color'  => '#eb738f');
	$skins['orange']        = array( 'primary-color'  => '#ff9800', 'secondary-color'  => '#da8200', 'tertiary-color'  => '#ffb343');
	$skins['pink']        = array( 'primary-color'  => '#ff508b', 'secondary-color'  => '#ff377a', 'tertiary-color'  => '#ff6a9c');
	$skins['purple']        = array( 'primary-color'  => '#9c27b0', 'secondary-color'  => '#7c1b8c', 'tertiary-color'  => '#c145d6');
	$skins['red']        = array( 'primary-color'  => '#da0000', 'secondary-color'  => '#c50000', 'tertiary-color'  => '#ff2828');
	$skins['skyblue']        = array( 'primary-color'  => '#0eb2e7', 'secondary-color'  => '#0da2d4', 'tertiary-color'  => '#24caff');
	$skins['teal']        = array( 'primary-color'  => '#009688', 'secondary-color'  => '#007f73', 'tertiary-color'  => '#00b4a3');
	$skins['turquoise']        = array( 'primary-color'  => '#32ccbd', 'secondary-color'  => '#24b6a8', 'tertiary-color'  => '#40e3d3');
	$skins['wisteria']        = array( 'primary-color'  => '#9b59b6', 'secondary-color'  => '#7c4094', 'tertiary-color'  => '#bc77d8');
	$skins['yellow']        = array( 'primary-color'  => '#ffe401', 'secondary-color'  => '#ebd302', 'tertiary-color'  => '#fff074');
	
	return $skins[ $skin ];
}?>