<?php
$config = naturalspa_kirki_config();

NATURALSPA_Kirki::add_section( 'dt_sociable_section', array(
	'title' => esc_html__( 'Site Sociable', 'naturalspa' ),
	'priority' => 190
) );

	# Delicious
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-delicious',
		'label'	   => esc_html__( 'Delicious', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'	
	));

	# Deviantart 
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-deviantart',
		'label'	   => esc_html__( 'Deviantart', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Digg 
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-digg',
		'label'	   => esc_html__( 'Digg', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Dribbble
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-dribbble',
		'label'	   => esc_html__( 'Dribbble', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'
	));

	# Envelope
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-envelope',
		'label'	   => esc_html__( 'Envelope', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));			

	# Facebook
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-facebook',
		'label'	   => esc_html__( 'Facebook', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'
	));

	# Flickr
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-flickr',
		'label'    => esc_html__( 'Flickr', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Google Plus
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-google-plus',
		'label'	   => esc_html__( 'Google Plus', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# GTalk
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-gtalk',
		'label'	   => esc_html__( 'GTalk', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Instagram
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-instagram',
		'label'	   => esc_html__( 'Instagram', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Lastfm
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-lastfm',
		'label'	   => esc_html__( 'Lastfm', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Linkedin
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-linkedin',
		'label'    => esc_html__( 'Linkedin', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Pinterest
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-pinterest',
		'label'	   => esc_html__( 'Pinterest', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Reddit
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-reddit',
		'label'	   => esc_html__( 'Reddit', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# RSS
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-rss',
		'label'	   => esc_html__( 'RSS', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Skype
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-skype',
		'label'	   => esc_html__( 'Skype', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Stumbleupon 
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-stumbleupon',
		'label'	   => esc_html__( 'Stumbleupon', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Tumblr
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-tumblr',
		'label'	   => esc_html__( 'Tumblr', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Twitter 
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-twitter',
		'label'	   => esc_html__( 'Twitter', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Viadeo
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-viadeo',
		'label'	   => esc_html__( 'Viadeo', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Vimeo
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-vimeo',
		'label'	   => esc_html__( 'Vimeo', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Yahoo
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-yahoo',
		'label'	   => esc_html__( 'Yahoo', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));

	# Youtube
	NATURALSPA_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-youtube',
		'label'	   => esc_html__( 'Youtube', 'naturalspa' ),
		'section'  => 'dt_sociable_section',
	));