<?php
add_action( 'vc_before_init', 'dt_sc_appointment_vc_map' );
function dt_sc_appointment_vc_map() {

	$plural_name    = esc_html__('Doctors', 'designthemes-doctor');
	if( function_exists( 'naturalspa_cs_get_option' ) ) :
		$plural_name	=	naturalspa_cs_get_option( 'plural-doctor-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Appointment", "designthemes-doctor"),
		"base" => "dt_sc_reserve_appointment",
		"icon" => "dt_sc_reserve_appointment",
		"category" => $plural_name,
		'description' => esc_html__("Appointment Form", "designthemes-doctor"),
		"params" => array(
			
			# Service IDs
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Service IDs", "designthemes-doctor" ),
      			"param_name" => "serviceids",
      			"admin_label" => true
      		),
			
			# Staff IDs
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Staff IDs", "designthemes-doctor" ),
      			"param_name" => "staffids",
      			"admin_label" => true
      		),

		)
	) );
}?>